<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Data Pipelines &mdash; 4PointX 1.0 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinx_highlight.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="prev" title="Configuration" href="index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../index.html" class="icon icon-home">
            4PointX
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../API/index.html">API</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../Changelog/index.html">Changelogs</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">UserDocs</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="index.html">Configuration</a><ul class="current">
<li class="toctree-l3 current"><a class="current reference internal" href="#">Data Pipelines</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">4PointX</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../index.html">UserDocs</a></li>
          <li class="breadcrumb-item"><a href="index.html">Configuration</a></li>
      <li class="breadcrumb-item active">Data Pipelines</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/UserDocs/Configuration/configuration.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="data-pipelines">
<h1>Data Pipelines<a class="headerlink" href="#data-pipelines" title="Permalink to this heading"></a></h1>
<p>The Data Pipelines tab provides an overview of all the incoming data streams to the 4PointX IIoT Platform. Each data stream is called a Pipeline and it can be ingesting various Type of Data from a variety of Data Sources for a Plant.</p>
<figure class="align-center">
<a class="reference internal image-reference" href="../../_images/data_pipelines.png"><img alt="Alternative text" src="../../_images/data_pipelines.png" style="width: 600px;" /></a>
</figure>
<p>The tab provides the following overview information.</p>
<ol class="arabic simple">
<li><p>Total no. of Pipelines created and Total started</p></li>
<li><p>Total no. of Events</p></li>
<li><p>Events over time</p></li>
<li><p>A tabular list of all Pipelines along with their details. The following actions can be performed on a Pipeline.</p></li>
</ol>
<blockquote>
<div><p>a.Edit Pipeline</p>
<p>b.Start/Stop Pipeline</p>
<p>c.Delete Pipeline</p>
</div></blockquote>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>An Event is equivalent to a record in a database table. One event may contain multiple tags or parameters (columns)</p>
</div>
<p>Use ‘Create Pipeline’ button to create a new Pipeline.</p>
<figure class="align-center">
<a class="reference internal image-reference" href="../../_images/create_pipeline.png"><img alt="Alternative text" src="../../_images/create_pipeline.png" style="width: 600px;" /></a>
</figure>
<p>The following Type of Data and the list of Data Sources and Source Sub Types are currently supported. The details of onboarding this data is discussed in the next section.</p>
<div class="twocol docutils container">
<div class="leftside docutils container">
<p><strong>Type of Data</strong></p>
<ol class="arabic simple">
<li><p>Condition Data</p></li>
<li><p>Process Data</p></li>
<li><p>Energy Data</p></li>
<li><p>Production Data</p></li>
</ol>
</div>
<div class="rightside docutils container">
<p><strong>Data Sources</strong> and <strong>Source Sub Types</strong></p>
<ol class="arabic simple">
<li><p>Edge Server</p></li>
</ol>
<blockquote>
<div><ol class="loweralpha simple">
<li><p>Logstash (File)</p></li>
<li><p>Logstash (OPC &gt; Mahinebeat)</p></li>
<li><p>IBM NodeRed (MQTT)</p></li>
<li><p>Kepserver (OPC)</p></li>
</ol>
</div></blockquote>
<ol class="arabic simple" start="2">
<li><p>IU Cloud (Infinite Uptime)</p></li>
</ol>
</div>
</div>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="index.html" class="btn btn-neutral float-left" title="Configuration" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, 4PointX.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>